routes/web.php
<?php

Route::redirect('/', '/login');
Route::get('/home', function () {
    if (session('status')) {
        return redirect()->route('admin.home')->with('status', session('status'));
    }

    return redirect()->route('admin.home');
});

Auth::routes(['register' => false]);
// Admin

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin', 'middleware' => ['auth']], function () {
    Route::get('/', 'HomeController@index')->name('home');
    // Users
    Route::delete('users/destroy', 'UsersController@massDestroy')->name('users.massDestroy');
    Route::resource('users', 'UsersController');

    // Wards
    Route::get('search-wards', 'WardsController@search')->name('wards.search');
    Route::resource('wards', 'WardsController', ['except' => ['create', 'store', 'edit', 'update', 'destroy']]);

    // Villages
    Route::get('search-villages', 'VillagesController@search')->name('villages.search');
    Route::delete('villages/destroy', 'VillagesController@massDestroy')->name('villages.massDestroy');
    Route::resource('villages', 'VillagesController');

    // Thematic Areas
    Route::delete('thematic-areas/destroy', 'ThematicAreasController@massDestroy')->name('thematic-areas.massDestroy');
    Route::resource('thematic-areas', 'ThematicAreasController');

    // Age Bands
    Route::delete('age-bands/destroy', 'AgeBandsController@massDestroy')->name('age-bands.massDestroy');
    Route::resource('age-bands', 'AgeBandsController');

    // Value Chains
    Route::delete('value-chains/destroy', 'ValueChainsController@massDestroy')->name('value-chains.massDestroy');
    Route::resource('value-chains', 'ValueChainsController');

    // Training Categories
    Route::delete('training-categories/destroy', 'TrainingCategoriesController@massDestroy')->name('training-categories.massDestroy');
    Route::resource('training-categories', 'TrainingCategoriesController');

    // Topics
    Route::delete('topics/destroy', 'TopicsController@massDestroy')->name('topics.massDestroy');
    Route::resource('topics', 'TopicsController');

    // Facilitators
    Route::get('search-facilitators', 'FacilitatorsController@search')->name('facilitators.search');
    Route::delete('facilitators/destroy', 'FacilitatorsController@massDestroy')->name('facilitators.massDestroy');
    Route::post('facilitators/import', 'FacilitatorsController@import')->name('facilitators.import');
    Route::resource('facilitators', 'FacilitatorsController');

    // Groups
    Route::get('search-groups', 'GroupsController@search')->name('groups.search');
    Route::delete('groups/destroy', 'GroupsController@massDestroy')->name('groups.massDestroy');
    // Route::get('groups/{group_id}/members/create', 'GroupsController@createForGroup')->name('group.members.create');
    //Route::post('mass-store-members', 'GroupsController@massStore')->name('members.massStore');
    Route::resource('groups', 'GroupsController');


    // Beneficiaries
    Route::get('search-beneficiaries', 'BeneficiariesController@search')->name('beneficiaries.search');
    Route::delete('beneficiaries/destroy', 'BeneficiariesController@massDestroy')->name('beneficiaries.massDestroy');
    Route::get('beneficiaries/export','BeneficiariesController@export')->name('beneficiaries.export');
    Route::resource('beneficiaries', 'BeneficiariesController');

    // Trainings
    Route::post('trainings/import', 'TrainingsController@import')->name('trainings.import');
    Route::delete('trainings/destroy', 'TrainingsController@massDestroy')->name('trainings.massDestroy');
    // Route::post('trainings/process-excel-import', 'TrainingsController@processExcelImport')->name('trainigs.processCsvImport');
    Route::resource('trainings', 'TrainingsController');

    // Attendances
    Route::delete('attendances/destroy', 'AttendancesController@massDestroy')->name('attendances.massDestroy');
    Route::get('trainings/{training_id}/attendances/create', 'AttendancesController@createForTraining')->name('training.attendances.create');
    Route::post('mass-store-attendances', 'AttendancesController@massStore')->name('attendances.massStore');
    Route::resource('attendances', 'AttendancesController');

      //Members
    Route::delete('members/destroy', 'MembersController@massDestroy')->name('members.massDestroy');
    Route::get('groups/{group_id}/members/create', 'MembersController@createForGroup')->name('group.members.create');
    Route::get('value-chain-training-sites/{group_id}/members/create', 'MembersController@createForValueChainTrainingSite')->name('vcts.members.create');
    Route::get('care-groups/{group_id}/members/create', 'MembersController@createForCareGroup')->name('care-groups.members.create');
    Route::get('isals/{group_id}/members/create', 'MembersController@createForIsals')->name('isals.members.create');
    Route::post('mass-store-members', 'MembersController@massStore')->name('members.massStore');
    Route::post('mass-store-vcts-members', 'MembersController@massStoreValueChainTrainingSite')->name('members.massStoreValueChainTrainingSite');
    Route::post('mass-store-caregroups-members', 'MembersController@massStoreCareGroup')->name('members.massStoreCareGroup');
    Route::post('mass-store-isals-members', 'MembersController@massStoreIsal')->name('members.massStoreIsal');
    Route::resource('members', 'MembersController');

    //Value Chain Training Site - Group-Category
    Route::post('value-chain-training-sites/import', 'ValueChainTrainingSiteController@import')->name('value-chain-training-sites.import');
    Route::delete('value-chain-training-sites/destroy', 'ValueChainTrainingSiteController@massDestroy')->name('value-chain-training-sites.massDestroy');
    Route::get('value-chain-training-sites/create', 'ValueChainTrainingSiteController@create')->name('value-chain-training-sites.create');
    Route::get('value-chain-training-sites/{group}', 'ValueChainTrainingSiteController@showGroup')->name('value-chain-training-sites.showGroup');
    Route::get('value-chain-training-sites/{group}/edit', 'ValueChainTrainingSiteController@edit')->name('value-chain-training-sites.edit');
    Route::patch('value-chain-training-sites/{id}', 'ValueChainTrainingSiteController@update')->name('value-chain-training-sites.update');
    Route::delete('value-chain-training-sites/{group}', 'ValueChainTrainingSiteController@destroy')->name('value-chain-training-sites.destroy');
    Route::resource('value-chain-training-sites', 'ValueChainTrainingSiteController');

    //Care Group - Group-Category
    Route::post('care-groups/import', 'CareGroupController@import')->name('care-groups.import');
    Route::delete('care-groups/destroy', 'CareGroupController@massDestroy')->name('care-groups.massDestroy');
    Route::get('care-groups/create', 'CareGroupController@create')->name('care-groups.create');
    Route::get('care-groups/{group}', 'CareGroupController@show')->name('care-groups.show');
    Route::get('care-groups/{group}/edit', 'CareGroupController@edit')->name('care-groups.edit');
    Route::patch('care-groups/{id}', 'CareGroupController@update')->name('care-groups.update');
    Route::delete('care-groups/{group}', 'CareGroupController@destroy')->name('care-groups.destroy');
    Route::resource('care-groups', 'CareGroupController');
    
    //Isals Group - Group Category
    Route::post('isals/import', 'IsalsController@import')->name('isals.import');
    Route::delete('isals/destroy', 'IsalsController@massDestroy')->name('isals.massDestroy');
    Route::get('isals/create', 'IsalsController@create')->name('isals.create');
    Route::get('isals/{group}', 'IsalsController@show')->name('isals.show');
    Route::get('isals/{group}/edit', 'IsalsController@edit')->name('isals.edit');
    Route::patch('isals/{id}', 'IsalsController@update')->name('isals.update');
    Route::delete('isals/{group}', 'IsalsController@destroy')->name('isals.destroy');
    Route::resource('isals', 'IsalsController');
    
    //Interventions
    Route::post('interventions/import', 'InterventionsController@import')->name('interventions.import');
    Route::delete('interventions/destroy', 'InterventionsController@massDestroy')->name('interventions.massDestroy');
    Route::get('interventions/map', 'InterventionsController@map')->name('interventions.map');
    Route::resource('interventions', 'InterventionsController');
    
    //Distribution
    Route::post('distributions/import', 'DistributionsController@import')->name('distributions.import');
    Route::get('distributions/export','DistributionsController@export')->name('distributions.export');
    Route::delete('distributions/destroy', 'DistributionsController@massDestroy')->name('distributions.massDestroy');
    Route::get('distributions/{distribution}/edit', 'DistributionsController@edit')->name('distributions.edit');
    Route::patch('distributions/{id}', 'DistributionsController@update')->name('distributions.update');
    Route::resource('distributions', 'DistributionsController');
    
    //Crops Data
    Route::post('crops/import', 'CropsController@import')->name('crops.import');
    Route::get('crops/export','CropsController@export')->name('crops.export');
    Route::delete('crops/destroy', 'CropsController@massDestroy')->name('crops.massDestroy');
    Route::resource('crops', 'CropsController');
    
    //Pfumvudza
    Route::post('pfumvudza/import', 'PfumvudzaController@import')->name('pfumvudza.import');
    Route::get('pfumvudza/export','PfumvudzaController@export')->name('pfumvudza.export');
    Route::delete('pfumvudza/destroy', 'PfumvudzaController@massDestroy')->name('pfumvudza.massDestroy');
    Route::resource('pfumvudza', 'PfumvudzaController');
    
    //Clean Facilitator - Teachers
    Route::delete('teachers/destroy', 'TeachersController@massDestroy')->name('teachers.massDestroy');
    Route::post('teachers/import', 'TeachersController@import')->name('teachers.import');

app/Models/Ward.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use \DateTimeInterface;

class Ward extends Model
{
    use SoftDeletes;

    public $table = 'wards';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'district',
        'ward_number',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    const DISTRICT_SELECT = [
        'Gokwe North' => 'Gokwe North', // old id = 80
        'Gokwe South' => 'Gokwe South', // old id = 81
        'Kwekwe'      => 'Kwekwe',      // old id = 83
        'Shurugwi'    => 'Shurugwi',    // old id = 85
    ];
    
    public function getNameAttribute()
    {
        return $this->district . ' - Ward ' . $this->ward_number;
    }

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    public function villages()
    {
        return $this->hasMany(Village::class, 'ward_id', 'id');
    }
}

app/Http/Controllers/Admin/WardsController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Ward;
use Gate;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use Yajra\DataTables\Facades\DataTables;

class WardsController extends Controller
{
    public function index(Request $request)
    {
        abort_if(Gate::denies('ward_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        if ($request->ajax()) {
            $query = Ward::query()->select(sprintf('%s.*', (new Ward)->table));
            $table = Datatables::of($query);

            $table->addColumn('placeholder', '&nbsp;');
            $table->addColumn('actions', '&nbsp;');

            $table->editColumn('actions', function ($row) {
                $viewGate      = 'ward_show';
                $editGate      = 'ward_edit';
                $deleteGate    = 'ward_delete';
                $crudRoutePart = 'wards';

                return view('partials.datatablesActions', compact(
                    'viewGate',
                    'editGate',
                    'deleteGate',
                    'crudRoutePart',
                    'row'
                ));
            });

            $table->editColumn('district', function ($row) {
                return $row->district ? Ward::DISTRICT_SELECT[$row->district] : '';
            });

            $table->rawColumns(['actions', 'placeholder']);

            return $table->make(true);
        }

        return view('admin.wards.index');
    }

    public function show(Ward $ward)
    {
        abort_if(Gate::denies('ward_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $ward->load('villages');

        return view('admin.wards.show', compact('ward'));
    }

    public function search(Request $request)
    {
        abort_if(Gate::denies('ward_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $results = [];

        if ($request->has('search')) {
            $searchTerm = $request->search;
            $results = Ward::search(['ward_number', 'district'], $searchTerm)
                ->simplePaginate($request->perPage ?? 10);
        }

        return response()->json($results);
    }
}

resources/views/admin/wards/relationships/villages.blade.php
<div class="card">
    <div class="card-header">
        {{ trans('cruds.village.title') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-wardVillages">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            {{ trans('cruds.village.fields.id') }}
                        </th>
                        <th>
                            {{ trans('cruds.village.fields.name') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($villages as $key => $village)
                        <tr data-entry-id="{{ $village->id }}">
                            <td>

                            </td>
                            <td>
                                {{ $village->id ?? '' }}
                            </td>
                            <td>
                                {{ $village->name ?? '' }}
                            </td>
                            <td>
                                @can('village_show')
                                    <a class="btn btn-xs btn-primary" href="{{ route('admin.villages.show', $village->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('village_edit')
                                    <a class="btn btn-xs btn-info" href="{{ route('admin.villages.edit', $village->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('village_delete')
                                    <form action="{{ route('admin.villages.destroy', $village->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>

@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('village_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.villages.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-wardVillages:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection